Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://api.example.com/api/files/{file_id} \ --header 'Authorization: Bearer <token>'
import requestsurl = "https://api.example.com/api/files/{file_id}"headers = {"Authorization": "Bearer <token>"}response = requests.get(url, headers=headers)print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};fetch('https://api.example.com/api/files/{file_id}', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
const url = 'https://api.example.com/api/files/{file_id}';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};fetch(url, options) .then(res => res.json()) .then(json => console.log(json)) .catch(err => console.error(err));
{ "detail": [ { "loc": [ "<string>" ], "msg": "<string>", "type": "<string>" } ] }
Get details of a specific file.
Args: file_id: UUID of the file
Returns: File record
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
Successful Response